PersisterFactoryInitiator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.internal
Class PersisterFactoryInitiator

    java.lang.Object
      org.hibernate.persister.internal.PersisterFactoryInitiator

All Implemented Interfaces:
  BasicServiceInitiator<PersisterFactory>, ServiceInitiator<PersisterFactory>

    public class PersisterFactoryInitiator

extends Object
implements BasicServiceInitiator<PersisterFactory>

Field Summary
`static String` | `IMPL_NAME`
`static PersisterFactoryInitiator` | `INSTANCE`

Constructor Summary
`PersisterFactoryInitiator()`

Method Summary
`Class<PersisterFactory>` | `getServiceInitiated()` Obtains the service role initiated by this initiator.
`PersisterFactory` | `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final PersisterFactoryInitiator INSTANCE

### IMPL_NAME

    public static final String IMPL_NAME

See Also:
  Constant Field Values

Constructor Detail

### PersisterFactoryInitiator

    public PersisterFactoryInitiator()

Method Detail

### getServiceInitiated

    public Class<PersisterFactory> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<PersisterFactory>`
  Returns:
    The service role.

### initiateService

    public PersisterFactory initiateService(Map configurationValues,
                                            ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<PersisterFactory>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.